package de.intevation.flys.jfree;

import de.intevation.flys.utils.ThemeUtil;

import java.awt.BasicStroke;
import java.awt.Color;

import org.jfree.chart.plot.ValueMarker;
import org.w3c.dom.Document;

/**
 * Marker that represents a single value.
 * @author <a href="mailto:christian.lins@intevation.de">Christian Lins</a>
 */
public class StyledValueMarker extends ValueMarker {

    private static final long serialVersionUID = -3607777705307785140L;

    public StyledValueMarker(double value, Document theme) {
        super(value);

        Color color = ThemeUtil.parseAreaBackgroundColor(theme);
        if(color == null) {
            color = Color.BLACK;
        }
        this.setPaint(color);

        int size = ThemeUtil.parsePointWidth(theme);
        setStroke(new BasicStroke(size));
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
